Subject: Re: MIB Doctor review: draft-ietf-ospf-mib-update-08.txt

From: Bill Fenner <[email-masked]>
Date: Thu, 3 Nov 2005 15:24:12 -0800

>2. I see:
>
>   OspfAuthenticationType ::= TEXTUAL-CONVENTION
>         STATUS       current
>         DESCRIPTION
>            "The authentication type."
>         SYNTAX       INTEGER {
>                         none (0),
>                         simplePassword (1),
>                         md5 (2)
>                      }
>
>   I do not see a special reason to start with zero. And the RECOMMENDATION
>   for enumerations is to start with 1. So is there a special reason that
>   I am not aware of. If not, pls start at 1.

It's for compatability with RFC 1850; ospfAuthType, ospfIfAuthType and
ospfVirtIfAuthType were all pseudo-enumerations and are now all
of type OspfAuthenticationType.

>4. You added label to ospfLsdbType, namely 

I think you forgot to finish this thought?

>5. In the rfc1850 MIB module I see:
>   ospfIfAuthType OBJECT-TYPE
>       SYNTAX   INTEGER (0..255)
>                   -- none (0),
>                   -- simplePassword (1)
>                   -- md5 (2)
>                   -- reserved for specification by IANA (> 2)
>   which has  been replaced by a TC in the new MIB Module. That is good, but
>   the comment about "reserved...by IANA" has disappeared too.
>   Is that a conscious decision? And I assume no valued have been assigned
>   by 
>   IANA yet, and that there is no IANA name space defined for it anywhere.
>   Pls confimr my understanding is correct.

To get the TC controlled by IANA, it would be seperated out into
a seperate MIB module (perhaps IANA-OSPF-MIB) and imported, and
the right boilerplate inserted to say that IANA-OSPF-MIB is maintained
by the IANA, right?

  Bill